icewm (4.0.0-1) unstable; urgency=low

  * New upstream release
    + cherry-picked CMake warning fix from pending MR

 -- Eduard Bloch <blade@debian.org>  Sun, 18 Jan 2026 22:49:03 +0100

icewm (3.9.0-2) unstable; urgency=low

  * Updating build-deps with latest xorg-dev dependencies list, to prevent
    future and current FTBFS (closes: #1116587, #1119646)

 -- Eduard Bloch <blade@debian.org>  Fri, 07 Nov 2025 19:59:20 +0100

icewm (3.9.0-1) unstable; urgency=low

  * New upstream release
    + cherry-picking trivial bugfixes from upstream branch

 -- Eduard Bloch <blade@debian.org>  Sun, 28 Sep 2025 12:41:51 +0200

icewm (3.8.2-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Tue, 12 Aug 2025 19:19:23 +0200

icewm (3.8.1-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Sun, 20 Jul 2025 14:20:43 +0200

icewm (3.7.5-1) unstable; urgency=medium

  * New upstream release
  * Added libxres-dev build-dep to support XResClientIdsDestroy

 -- Eduard Bloch <blade@debian.org>  Wed, 28 May 2025 21:43:03 +0200

icewm (3.7.4-1) unstable; urgency=medium

  * New upstream release
    + cherry-picked fixes of https://github.com/bbidulock/icewm/issues/800
      (3.7.4..4603a667999d81b2e88a51dedd1b9e761d384b74)
  * Stop building additional test executables (closes: Bug#1103314)

 -- Eduard Bloch <blade@debian.org>  Sat, 03 May 2025 14:48:22 +0200

icewm (3.7.3-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Mon, 14 Apr 2025 19:30:51 +0200

icewm (3.7.2-1) unstable; urgency=medium

  * New upstream release
  * Built with nanosvg image loader from the Debian package

 -- Eduard Bloch <blade@debian.org>  Sat, 15 Mar 2025 21:33:38 +0100

icewm (3.6.0-1) unstable; urgency=low

  * new upstream release

 -- Eduard Bloch <blade@debian.org>  Thu, 20 Jun 2024 21:45:16 +0200

icewm (3.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Fri, 24 May 2024 21:43:14 +0200

icewm (3.4.7-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Thu, 04 Apr 2024 12:23:39 +0200

icewm (3.4.5-1) unstable; urgency=medium

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Sun, 31 Dec 2023 10:05:28 +0100

icewm (3.4.4-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Sat, 04 Nov 2023 16:01:14 +0100

icewm (3.4.3-1) unstable; urgency=medium

  * New upstream release
  * icewm-menu-xrandr: minor fix to avoid warnings where no custom
    configuration was added, also including the configuration example

 -- Eduard Bloch <blade@debian.org>  Sat, 07 Oct 2023 14:24:57 +0200

icewm (3.4.2-1) unstable; urgency=medium

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Tue, 19 Sep 2023 20:27:41 +0200

icewm (3.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Sun, 23 Jul 2023 08:15:42 +0200

icewm (3.4.0-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Sun, 18 Jun 2023 13:46:37 +0200

icewm (3.3.5-1) unstable; urgency=medium

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Tue, 30 May 2023 18:47:18 +0200

icewm (3.3.4-1) unstable; urgency=medium

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Fri, 05 May 2023 18:17:48 +0200

icewm (3.3.3-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Sun, 16 Apr 2023 22:21:28 +0200

icewm (3.3.2-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Wed, 15 Mar 2023 19:04:08 +0100

icewm (3.3.1-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Sun, 05 Feb 2023 22:03:10 +0100

icewm (3.3.0-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Sun, 01 Jan 2023 12:57:14 +0100

icewm (3.2.3-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Fri, 16 Dec 2022 19:35:49 +0100

icewm (3.2.2-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Thu, 01 Dec 2022 22:03:54 +0100

icewm (3.1.0-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Thu, 27 Oct 2022 20:40:05 +0200

icewm (3.0.1-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Thu, 06 Oct 2022 18:57:05 +0200

icewm (2.9.9-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Fri, 05 Aug 2022 21:58:29 +0200

icewm (2.9.8-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Thu, 21 Jul 2022 07:22:32 +0200

icewm (2.9.7-1) unstable; urgency=medium

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Wed, 04 May 2022 22:02:19 +0200

icewm (2.9.6-1) unstable; urgency=medium

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Wed, 23 Feb 2022 20:37:31 +0100

icewm (2.9.5-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Fri, 21 Jan 2022 16:59:01 +0100

icewm (2.9.4-1) unstable; urgency=low

  * New upstream release
    + also includes a minor fix for strage EDID data

 -- Eduard Bloch <blade@debian.org>  Tue, 04 Jan 2022 22:04:08 +0100

icewm (2.9.3-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Wed, 22 Dec 2021 11:09:23 +0100

icewm (2.9.2-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Wed, 08 Dec 2021 10:21:04 +0100

icewm (2.9.1-1) unstable; urgency=medium

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Thu, 02 Dec 2021 20:09:51 +0100

icewm (2.9.0-1) unstable; urgency=low

  * New upstream release
  * Dropping old preference for DejaVu font with size 11 in Debian builds

 -- Eduard Bloch <blade@debian.org>  Wed, 24 Nov 2021 21:12:07 +0100

icewm (2.8.0-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Sat, 09 Oct 2021 14:59:00 +0200

icewm (2.7.0-1) unstable; urgency=low

  * New upstream release (closes: #991153)

 -- Eduard Bloch <blade@debian.org>  Thu, 19 Aug 2021 19:16:50 +0200

icewm (2.6.0-1) experimental; urgency=low

  * New upstream release
  * Appending the old upstream changelog to the current ChangeLog.gz contents
    and removing confusing legacy changelog file from docs

 -- Eduard Bloch <blade@debian.org>  Sat, 10 Jul 2021 19:13:00 +0200

icewm (2.5.0-1) experimental; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Tue, 29 Jun 2021 12:47:10 +0200

icewm (2.4.0+git20210619-1) experimental; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Sun, 20 Jun 2021 13:19:13 +0200

icewm (2.3.4-1) experimental; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Tue, 11 May 2021 10:53:42 +0200

icewm (2.3.2-1) experimental; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Thu, 15 Apr 2021 13:20:21 +0200

icewm (2.3.1-1) experimental; urgency=low

  * New upstream release
  * Adding explicit dependency on sensible-utils

 -- Eduard Bloch <blade@debian.org>  Sun, 04 Apr 2021 12:47:13 +0200

icewm (2.2.1-1) experimental; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Sun, 28 Feb 2021 22:44:13 +0100

icewm (2.1.2-1) unstable; urgency=medium

  * New upstream release
    + fixes descovery of desktop files in folders with broken symlinks

 -- Eduard Bloch <blade@debian.org>  Tue, 09 Feb 2021 22:27:54 +0100

icewm (2.1.1-1) unstable; urgency=medium

  * New upstream release
    + fixes a pseudo crash caused by incorrect internal image handling which
      was accidentally covered by direct use of (now dropped) libxpm
      functionality (closes: #980837)

 -- Eduard Bloch <blade@debian.org>  Mon, 25 Jan 2021 21:08:55 +0100

icewm (2.0.0-2) unstable; urgency=low

  * Disable direct loaders except for Imlib2 and librsvg
  * Dropped libgdx-pixbuf-2.0 dependency (its xlib support is deprecated)

 -- Eduard Bloch <blade@debian.org>  Mon, 14 Dec 2020 16:30:03 +0100

icewm (2.0.0-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Mon, 14 Dec 2020 11:22:49 +0100

icewm (1.9.2-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Thu, 12 Nov 2020 19:25:03 +0100

icewm (1.9.0-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Fri, 30 Oct 2020 22:02:45 +0100

icewm (1.8.3-2) unstable; urgency=low

  * Upload to Unstable
  * Disabling upstream tests (not ready for buildd environment)

 -- Eduard Bloch <blade@debian.org>  Sun, 20 Sep 2020 00:51:30 +0200

icewm (1.8.3-1) experimental; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Sat, 19 Sep 2020 10:59:51 +0200

icewm (1.8.1+git20200906-1) experimental; urgency=low

  * New upstream release (plus a few fixes from HEAD)

 -- Eduard Bloch <blade@debian.org>  Sun, 06 Sep 2020 12:11:15 +0200

icewm (1.6.6-1) unstable; urgency=low

  * New upstream release
  * Upgrading compat level to 10, standards to 4.5.0

 -- Eduard Bloch <blade@debian.org>  Mon, 15 Jun 2020 19:46:43 +0200

icewm (1.6.5-1) unstable; urgency=low

  * New upstream release
  * Fix dh_auto_clean call

 -- Eduard Bloch <blade@debian.org>  Wed, 18 Mar 2020 18:46:40 +0100

icewm (1.6.4-1) unstable; urgency=low

  * New upstream release
    + upstream fix for cmake driven build (bc6ff129)

 -- Eduard Bloch <blade@debian.org>  Sun, 16 Feb 2020 12:54:58 +0100

icewm (1.6.3+git20191202-1) unstable; urgency=low

  * New upstream release, plus minor additions
    - includes some documentation improvements (closes: #771603)
    - includes some impovements for transparency, SupportSemitransparency
      should now work for sure (closes: #271012)
  * handle prerm argument "upgrade" (as no-op)
  * replaced old FAQ snapshot with latest version from ice-wm.org, now
    generating with pandoc from markdown (closes: #912530, #924155, #918462)

 -- Eduard Bloch <blade@debian.org>  Mon, 02 Dec 2019 22:09:40 +0100

icewm (1.6.2+git20190929-1) unstable; urgency=low

  * New upstream release, plus config build fixes
  * Stop removing/reinstalling alternatives on every upgrade (closes: #931360)
  * Added hard Build-Conflicts on libesd0-dev (closes: #896655)

 -- Eduard Bloch <blade@debian.org>  Sun, 29 Sep 2019 19:02:55 +0200

icewm (1.5.5+git20190728-1) experimental; urgency=low

  * New experimental upstream snapshot
    + Restores TaskBarFullscreenAutoShow functionality (closes: #931230)

 -- Eduard Bloch <blade@debian.org>  Sun, 28 Jul 2019 07:10:07 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog icewm-common`.
